ALT Linux Team development discussions
 help / color / mirror / Atom feed
From: Michael Shigorin <mike@osdn.org.ua>
To: ALT Devel discussion list <devel@altlinux.ru>
Subject: [devel] Re: hasher
Date: Wed, 7 Jan 2004 17:07:19 +0200
Message-ID: <20040107150719.GE18834@osdn.org.ua> (raw)
In-Reply-To: <200401071720.48286.LAV@VL3143.spb.edu>


[-- Attachment #1.1: Type: text/plain, Size: 653 bytes --]

On Wed, Jan 07, 2004 at 05:20:48PM +0300, Vitaly Lipatov wrote:
> > У меня есть еще более тупой вопрос -- и что, все вот так
> > cut-n-past'ят результирующие пакеты на подпись/заливку?
> Я себе скрипт написал, он всё, что собираешь hasher, отправляет
> на заливку. А перед заливкой другим скриптом подписываю всё
> сразу, проверяю sisyphus_check и заливаю.

У меня порой бывает несколько сборок в hasher до достижения
заливного результата.  Но проверялку непосредственно перед rsync
в генштаб вкрутил.

> Обычно всё же собираешь в hasher, чтобы залить...

-- 
 ---- WBR, Michael Shigorin <mike@altlinux.ru>
  ------ Linux.Kiev http://www.linux.kiev.ua/

[-- Attachment #1.2: 2bte.sh --]
[-- Type: text/plain, Size: 702 bytes --]

#!/bin/sh
UPROOT=~/Upload
TARGET=incoming:/incoming/Sisyphus/BTE/
MAINTAINER=mike@inmetex.com.ua
SUBJ1="upload failed"
SUBJ2="gpg sig failed"
#. ~/.ssh/ssh-agent.sh 2>/dev/null 1>&2
#ssh-add

#LC_ALL=C sisyphus_check "$UPROOT/BTE/" || exit 1

[ -z "$UPROOT/BTE/*.rpm" ] && exit 0
for i in $UPROOT/BTE/*.rpm; do
	rpm --checksig $i | grep -q gpg || {
#		echo "$i: GPG signature missing/invalid" | mail -s "$SUBJ2" $MAINTAINER
		echo "$i: GPG signature missing/invalid, skipping!" >&2
		continue
	}
	/usr/bin/rsync $* -avut --partial --stats \
		-e ssh $i $TARGET \
		>> $UPROOT/rsync-upload.log 2>&1 \
	&& mv $i $UPROOT/done \
	|| echo "upload failed: $i" | mail -s "$SUBJ1" $MAINTAINER
done
#ssh-add -D

[-- Attachment #2: Type: application/pgp-signature, Size: 189 bytes --]

  parent reply	other threads:[~2004-01-07 15:07 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2004-01-07 11:51 [devel] hasher Peter V. Saveliev
2004-01-07 13:54     ` [devel] hasher Michael Shigorin
2004-01-07 14:20       ` Vitaly Lipatov
2004-01-07 14:57         ` Peter V. Saveliev
2004-01-07 17:17           ` Vitaly Lipatov
2004-01-08  0:14           ` Dmitry V. Levin
2004-01-07 15:07         ` Michael Shigorin [this message]
2004-01-07 17:19           ` Vitaly Lipatov
2004-01-07 20:31             ` Michael Shigorin
2004-01-07 14:29       ` Peter V. Saveliev
2004-01-07 14:31         ` Michael Shigorin
2004-01-07 15:07           ` Peter V. Saveliev
2004-01-08  5:45             ` Alexey I. Froloff
2004-01-08 12:25               ` Алексей Любимов
2004-01-08 12:32                 ` Alexey I. Froloff
2004-05-25 10:08               ` Alexey I. Froloff
2004-05-25 10:45               ` Алексей Любимов
2004-01-08  0:18         ` Dmitry V. Levin
2004-01-08  0:11       ` Dmitry V. Levin
2004-01-08  7:51         ` Michael Shigorin
2004-01-08  8:00           ` Alexey I. Froloff
2004-01-08  0:06 ` [devel] hasher Dmitry V. Levin
2004-01-08 19:57   ` Peter V. Saveliev
2004-01-09  6:36     ` Alexey I. Froloff
2004-01-09 10:05       ` Peter V. Saveliev
2004-01-09 10:28       ` Dmitry V. Levin
2004-07-17 15:50 ` Dmitry V. Levin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20040107150719.GE18834@osdn.org.ua \
    --to=mike@osdn.org.ua \
    --cc=devel@altlinux.ru \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

ALT Linux Team development discussions

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://lore.altlinux.org/devel/0 devel/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 devel devel/ http://lore.altlinux.org/devel \
		devel@altlinux.org devel@altlinux.ru devel@lists.altlinux.org devel@lists.altlinux.ru devel@linux.iplabs.ru mandrake-russian@linuxteam.iplabs.ru sisyphus@linuxteam.iplabs.ru
	public-inbox-index devel

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://lore.altlinux.org/org.altlinux.lists.devel


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git